package com.patzn.lims.equip.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.dto.LmsEquipUseRecordDTO;
import com.patzn.lims.equip.entity.LmsEquipUseRecord;
import com.patzn.lims.equip.vo.LmsEquipUseRecordVO;

/**
 * <p>
 * 仪器使用记录信息表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-28
 */
public interface ILmsEquipUseRecordService extends IBaseService<LmsEquipUseRecord> {

    Page<LmsEquipUseRecord> page(Page<LmsEquipUseRecord> page, LmsEquipUseRecord lmsEquipUseRecord);

    Page<LmsEquipUseRecordVO> pageVO(Page<LmsEquipUseRecordVO> page, LmsEquipUseRecordDTO lmsEquipUseRecordDTO);


    LmsEquipUseRecordVO getVOById(Long id);


    LmsEquipUseRecordVO getCopyVOById(Long id);

    boolean add(LmsEquipUseRecord lmsEquipUseRecord);

    boolean edit(LmsEquipUseRecord lmsEquipUseRecord);
}
